# $Revision: 1.13 $, $Date: 2002/07/05 14:18:48 $
Summary:	wxBase library - non-GUI support classes of wxWindows toolkit
Summary(pl):	wxBase - biblioteka klas wxWindows nie zwizanych z GUI
Name:		wxBase
Version:	2.3.2
Release:	4
License:	wxWindows Licence
Group:		X11/Libraries
Source0:	ftp://www.remstar.com/pub/wxwin/%{version}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-missingfiles.patch
URL:		http://www.wxwindows.org/
BuildRequires:	gcc-c++
BuildRequires:	zlib-devel
Requires:	wxwin-common = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%define		_gcc_ver	%(%{__cc} -dumpversion | cut -b 1)
%if %{_gcc_ver} == 2
%define		__cxx		"%{__cc}"
%endif

%description
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date
manipulations, portable wrappers around many OS-specific functions
allowing to build the same program under all supported folders,
wxThread class for writing multithreaded programs using either Win32
or POSIX threads and much more. wxBase currently supports the
following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris,
HP-UX, ...) and BeOS.

%description -l pl
wxBase jest zestawem klas C++ obsugujcych podstawowe struktury
danych (stringi, listy, tablice), klas wxDateTime do operacji na
datach, przenone wrappery do wielu funkcji zalenych od systemu
operacyjnego pozwalajce na zbudowanie tego samego programu w rnych
rodowiskach, klas wxThread do pisania programw wielowtkowych
uywajcych wtkw Win32 albo POSIX i inne. wxBase obsuguje
platformy: Win32, Unix i BeOS.

%package devel
Summary:	wxBase headers needed for developping with wxBase
Summary(pl):	Pliki nagwkowe do wxBase
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	wxGTK-devel
Obsoletes:	wxMotif-devel
Provides:	wxwin-base-devel

%description devel
Header files for wxBase. You need them to develop programs using
wxBase.

%description devel -l pl
Pliki nagwkowe do biblioteki wxBase.

%package -n wxwin-common
Summary:	Common part of all wxWindows versions
Summary(pl):	Cz wsplna dla wszystkich wersji wxWindows
Group:		X11/Libraries

%description -n wxwin-common
Files common for all versions of wxWindows library.

%description -n wxwin-common -l pl
Pliki wsplne dla wszystkich wersji biblioteki wxWindows.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_13 \
	--enable-soname \
	--disable-gui \
	--enable-shared \
	--with-zlib=sys \
	--with-odbc \
	--enable-burnt_name \
	%{?debug:--enable-debug}%{!?debug:--disable-debug} \
	--enable-no_rtti \
	--enable-no_exceptions \
	--enable-wave \
	--enable-fraction

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_aclocaldir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install include/wx/dbkeyg.h	$RPM_BUILD_ROOT%{_includedir}/wx
install include/wx/isql*	$RPM_BUILD_ROOT%{_includedir}/wx
install wxwin.m4		$RPM_BUILD_ROOT%{_aclocaldir}

cp -rf samples/console $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang wxstd --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -n wxwin-common -f wxstd.lang
%defattr(644,root,root,755)
%doc CHANGES.txt LICENCE.txt README.txt

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wxbase*config
%attr(755,root,root) %{_bindir}/wx-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/wx
%{_includedir}/*
%{_examplesdir}/%{name}-%{version}
%{_aclocaldir}/*.m4

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wxBase.spec,v $
Revision 1.13  2002/07/05 14:18:48  kloczek
- use new %doc.

Revision 1.12  2002/07/05 10:46:37  wiget
--enable-soname, release 4

Revision 1.11  2002/05/21 09:31:10  kloczek
- if it possible map %%{__cc} to %%{__cxx} in the same way as in mozilla.spec.

Revision 1.10  2002/05/14 22:16:03  qboosh
- BR: gcc-c++

Revision 1.9  2002/04/07 08:15:13  filon
- it does not require libstdc++
- release 3

Revision 1.8  2002/02/22 23:30:01  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/06 02:41:06  kloczek
- release 2.

Revision 1.6  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/21 13:52:57  qboosh
- adapterized, switched to .bz2 source

Revision 1.4  2001/12/13 01:38:37  misiek
- updated to 2.3.2

Revision 1.3  2001/10/19 15:23:22  misiek
- updated to 1.3.1

Revision 1.2  2001/06/28 13:25:23  kloczek
- changed Goup to X11/*,
- spec adapterized.

Revision 1.1  2001/06/24 20:15:11  qboosh
- new
